package com.zhongzheng.modules.collect.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.bank.vo.QuestionVo;
import com.zhongzheng.modules.collect.bo.*;
import com.zhongzheng.modules.collect.domain.CollectQuestion;
import com.zhongzheng.modules.collect.vo.CollectCourseVo;
import com.zhongzheng.modules.collect.vo.CollectNoteVo;
import com.zhongzheng.modules.collect.vo.CollectQuestionVo;

import java.util.Collection;
import java.util.List;

/**
 * 收藏题目Service接口
 *
 * @author ruoyi
 * @date 2021-06-24
 */
public interface ICollectQuestionService extends IService<CollectQuestion> {
	/**
	 * 查询单个
	 * @return
	 */
	CollectQuestionVo queryById(Long collectQuestionId);



	CollectQuestion queryQuestionById(Long userID, Long questionId);

	/**
	 * 查询列表
	 */
	List<CollectQuestionVo> queryList(CollectQuestionQueryBo bo);

	List<QuestionVo> selectList(CollectQuestionQueryBo bo);



	/**
	 * 根据新增业务对象插入收藏题目
	 * @param bo 收藏题目新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(CollectQuestionAddBo bo);

	/**
	 * 根据编辑业务对象修改收藏题目
	 * @param bo 收藏题目编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(CollectQuestionEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
